Package com.independentsoft.office.drawing

# Class TextFont

java.lang.Object
com.independentsoft.office.drawing.TextBulletTypeface
com.independentsoft.office.drawing.TextFont

public class TextFont extends TextBulletTypeface
The Class TextFont.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextFont()`
  Instantiates a new text font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextFont`
  `clone()`
  `int`
  `getCharacterSet()`
  Gets the character set.
  `String`
  `getPanose()`
  Gets the panose.
  `int`
  `getPitchFamily()`
  Gets the pitch family.
  `String`
  `getTypeface()`
  Gets the typeface.
  `void`
  `setCharacterSet​(int characterSet)`
  Sets the character set.
  `void`
  `setPanose​(String panose)`
  Sets the panose.
  `void`
  `setPitchFamily​(int pitchFamily)`
  Sets the pitch family.
  `void`
  `setTypeface​(String typeface)`
  Sets the typeface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextFont

    public TextFont()
    Instantiates a new text font.

- ## Method Details

  - ### clone

    public TextFont clone()
    Specified by:
      `clone` in class `TextBulletTypeface`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCharacterSet

    public int getCharacterSet()
    Gets the character set.
    Returns:
      the character set

  - ### setCharacterSet

    public void setCharacterSet​(int characterSet)
    Sets the character set.
    Parameters:
      `characterSet` - the new character set

  - ### getPanose

    public String getPanose()
    Gets the panose.
    Returns:
      the panose

  - ### setPanose

    public void setPanose​(String panose)
    Sets the panose.
    Parameters:
      `panose` - the new panose

  - ### getPitchFamily

    public int getPitchFamily()
    Gets the pitch family.
    Returns:
      the pitch family

  - ### setPitchFamily

    public void setPitchFamily​(int pitchFamily)
    Sets the pitch family.
    Parameters:
      `pitchFamily` - the new pitch family

  - ### getTypeface

    public String getTypeface()
    Gets the typeface.
    Returns:
      the typeface

  - ### setTypeface

    public void setTypeface​(String typeface)
    Sets the typeface.
    Parameters:
      `typeface` - the new typeface